## org.eclipse.jetty.util
Interface Attributes

All Known Implementing Classes:
  AttributesMap, ContextHandler, HttpClient, MovedContextHandler, Server, ServletContextHandler, WebAppContext

    public interface Attributes

Attributes. Interface commonly used for storing attributes.

Method Summary
`void` `clearAttributes()`
`java.lang.Object` `getAttribute(java.lang.String name)`
`java.util.Enumeration` `getAttributeNames()`
`void` `removeAttribute(java.lang.String name)`
`void` `setAttribute(java.lang.String name, java.lang.Object attribute)`

Method Detail

### removeAttribute

    void removeAttribute(java.lang.String name)

### setAttribute

    void setAttribute(java.lang.String name,
                      java.lang.Object attribute)

### getAttribute

    java.lang.Object getAttribute(java.lang.String name)

### getAttributeNames

    java.util.Enumeration getAttributeNames()

### clearAttributes

    void clearAttributes()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.